Bug 999961 - When adding rewrite configuration for virtual server no reload is required, but the setting is not active till reload is actually performed
When adding rewrite configuration for virtual server no reload is required, b...
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: DR4
: EAP 6.4.0
Assigned To: Rémy Maucherat
Michael Cada
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:05 EDT by Radim Hatlapatka
Modified: 2018-03-05 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-08-22 09:05:38 EDT
Description of problem:
When setting rewrite for virtual server no reload is required, but when accessing an URL which should be rewritten, the rewrite is not effective until reload or restart of the server is performed

e.g.
[standalone@localhost:9999 /] /subsystem=web/virtual-server=default-host/rewrite=test:add(flags=NC, pattern=(.*)/toberewritten/(.*), substitution=$1/rewritten/$2)
{"outcome" => "success"}


Steps to Reproduce:
1. add rewrite setting (e.g. via CLI /subsystem=web/virtual-server=default-host/rewrite=test2:add(flags=F, pattern=(.*), substitution=-)
 substitution=$1/rewritten/$2)
2. see that operation doesn't require reload
3. go to http://localhost:8080/ - the page is accessible (due rewrite setting it shouldn't be)
4. reload server (via CLI /:reload)
5. go to http://localhost:8080/ - the access is forbidden => rewrite rule finally applied


Actual results:
Operation for adding rewrite configuration on virtual host doesn't prompt that reload is required even though it is

Expected results:
Either apply the setting without reload requirement, or prompt that it is actually required
Comment 2 Martin Velas 2014-08-05 08:20:11 EDT
Issue is still valid for the EAP 6.3.0.ER10 bits.
Comment 3 Rémy Maucherat 2014-09-11 05:56:18 EDT
https://github.com/jbossas/jboss-eap/pull/1668
Comment 4 Radim Hatlapatka 2014-10-15 10:17:26 EDT
This is already merged and in the product.

Verified in EAP 6.4.0.DR4

Note You need to log in before you can comment on or make changes to this bug.